Results 1 to 4 of 4

Thread: OSX 10.5.3 Maya2008 Plugin error message

  1. #1
    DougMacKay
    Guest

    OSX 10.5.3 Maya2008 Plugin error message

    Hi,
    I'm new to Collada and have just installed:

    CG-2.0.0015 (the Leopard version of the CG-Toolkit)
    ColladaMaya_OSX_3.05B

    I fixed the script code to reflect the "build/Release" path and the script installs ok. I have verified this and have found the scripts in their appropriate locations.

    When loading the plugin in Maya2008, I get the following error in the script editor:

    // Error: Unable to dynamically load : /Users/Shared/Autodesk/maya/plug-ins/COLLADA_m2008.bundle
    dlopen(/Users/Shared/Autodesk/maya/plug-ins/COLLADA_m2008.bundle, 1): Symbol not found: __ZN10MPxCommand6redoItEv
    Referenced from: /Users/Shared/Autodesk/maya/plug-ins/COLLADA_m2008.bundle
    Expected in: /Users/Shared/Autodesk/maya/plug-ins/COLLADA_m2008.bundle
    //

    Can anyone explain what I need to do to fix this?

    Thanks,

    Doug

  2. #2
    jmgalvis
    Guest

    Problem whith plug-ins

    I have OS X 10.5.4 and Maya 2008
    I have the same problem. Folder build a rename Output and install whith the script but does not work when charging the plug-in in Maya in script editor error:

    Error: dlopen(/Users/Shared/Autodesk/maya/2008/plug-ins/COLLADA.bundle, 1): Symbol not found: __ZN10MPxCommand6redoItEv
    Referenced from: /Users/Shared/Autodesk/maya/2008/plug-ins/COLLADA.bundle
    Expected in: /Users/Shared/Autodesk/maya/2008/plug-ins/COLLADA.bundle
    (COLLADA) //


    Help

  3. #3
    alagala
    Guest
    Hi, I have the same problem too!

    Mac OS X 10.5.4 and Maya 2008. I have also installed CG 2.0 by nVIDIA.

    However the ColladaMaya plugin (v. 3.05B) can't be loaded because of the error:

    Error: dlopen(/Users/Shared/Autodesk/maya/2008/plug-ins/COLLADA.bundle, 1): Symbol not found: __ZN10MPxCommand6redoItEv
    Referenced from: /Users/Shared/Autodesk/maya/2008/plug-ins/COLLADA.bundle
    Expected in: /Users/Shared/Autodesk/maya/2008/plug-ins/COLLADA.bundle
    (COLLADA) //

    As anyone solved this problem?

    Cheers,
    Andrea

  4. #4
    Senior Member
    Join Date
    Aug 2004
    Location
    California
    Posts
    771
    According to this thread at Feeling Software, the OSX pre-builds for ColladaMaya use Cg 1.5.

    The recommendation is to edit the XCode project and change the project settings to use Cg 2.0 and then recompile it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •